<?xml version="1.0" encoding="UTF-8"?>
<interface>
  <template class="GcalEditCalendarPage" parent="GtkBox">
    <child>
      <object class="GtkGrid">
        <property name="hexpand">True</property>
        <property name="vexpand">True</property>
        <property name="margin-top">18</property>
        <property name="margin-bottom">18</property>
        <property name="margin-start">18</property>
        <property name="margin-end">18</property>
        <property name="row_spacing">12</property>
        <property name="column_spacing">12</property>

        <!-- Online Accounts -->
        <child>
          <object class="GtkLabel" id="account_dim_label">
            <property name="visible" bind-source="account_box" bind-property="visible" bind-flags="default" />
            <property name="label" translatable="yes">Account</property>
            <property name="xalign">1</property>
            <layout>
              <property name="column">0</property>
              <property name="row">0</property>
            </layout>
            <style>
              <class name="dim-label" />
            </style>
          </object>
        </child>

        <child>
          <object class="GtkBox" id="account_box">
            <property name="spacing">12</property>
            <layout>
              <property name="row">0</property>
              <property name="column">1</property>
            </layout>
            <child>
              <object class="GtkLabel" id="account_label">
                <property name="hexpand">True</property>
                <property name="xalign">0</property>
              </object>
            </child>
            <child>
              <object class="GtkButton" id="settings_button">
                <property name="label" translatable="yes">Settings</property>
                <signal name="clicked" handler="on_settings_button_clicked_cb" object="GcalEditCalendarPage" swapped="no" />
              </object>
            </child>
          </object>
        </child>

        <!-- Location (URL, file path) -->
        <child>
          <object class="GtkLabel" id="location_dim_label">
            <property name="visible" bind-source="calendar_url_button" bind-property="visible" bind-flags="default" />
            <property name="label" translatable="yes">Location</property>
            <property name="xalign">1</property>
            <layout>
              <property name="row">1</property>
              <property name="column">0</property>
            </layout>
            <style>
              <class name="dim-label" />
            </style>
          </object>
        </child>

        <child>
          <object class="GtkLinkButton" id="calendar_url_button">
            <layout>
              <property name="row">1</property>
              <property name="column">1</property>
            </layout>
            <style>
              <class name="flat" />
            </style>
          </object>
        </child>

        <!-- Calendar name -->
        <child>
          <object class="GtkLabel" id="calendar_dim_label">
            <property name="label" translatable="yes">Calendar name</property>
            <property name="xalign">1</property>
            <layout>
              <property name="row">2</property>
              <property name="column">0</property>
            </layout>
            <style>
              <class name="dim-label" />
            </style>
          </object>
        </child>

        <child>
          <object class="GtkEntry" id="name_entry">
            <property name="hexpand">True</property>
            <layout>
              <property name="row">2</property>
              <property name="column">1</property>
            </layout>
          </object>
        </child>

        <!-- Color -->
        <child>
          <object class="GtkLabel" id="color_dim_label">
            <property name="label" translatable="yes">Color</property>
            <property name="xalign">1</property>
            <layout>
              <property name="row">3</property>
              <property name="column">0</property>
            </layout>
            <style>
              <class name="dim-label" />
            </style>
          </object>
        </child>

        <child>
          <object class="GtkColorButton" id="calendar_color_button">
            <property name="halign">start</property>
            <layout>
              <property name="row">3</property>
              <property name="column">1</property>
            </layout>
          </object>
        </child>

        <!-- Calendar visibility -->
        <child>
          <object class="GtkCheckButton" id="calendar_visible_check">
            <property name="label" translatable="yes">Display calendar</property>
            <layout>
              <property name="row">4</property>
              <property name="column">0</property>
              <property name="column-span">2</property>
            </layout>
          </object>
        </child>

        <!-- Default calendar -->
        <child>
          <object class="GtkCheckButton" id="default_check">
            <property name="label" translatable="yes">Add new events to this calendar by default</property>
            <layout>
              <property name="row">5</property>
              <property name="column">0</property>
              <property name="column-span">2</property>
            </layout>
          </object>
        </child>

        <!-- Remove button -->
        <child>
          <object class="GtkButton" id="remove_button">
            <property name="label" translatable="yes">Remove Calendar</property>
            <property name="halign">end</property>
            <property name="valign">end</property>
            <property name="margin_top">6</property>
            <property name="hexpand">True</property>
            <property name="vexpand">True</property>
            <signal name="clicked" handler="on_remove_button_clicked_cb" object="GcalEditCalendarPage" swapped="no" />
            <layout>
              <property name="row">6</property>
              <property name="column">0</property>
              <property name="column-span">2</property>
            </layout>
            <style>
              <class name="destructive-action" />
            </style>
          </object>
        </child>

      </object>
    </child>
  </template>

  <!-- Headerbar buttons -->
  <object class="GtkButton" id="back_button">
    <property name="icon-name">go-previous-symbolic</property>
    <signal name="clicked" handler="on_back_button_clicked_cb" object="GcalEditCalendarPage" swapped="no" />
  </object>
</interface>
